package com.bbd.bpm.dao;


import com.bbd.bpm.base.BaseMapper;
import com.bbd.bpm.domain.BpmCompany;
import com.bbd.bpm.domain.BpmEmployee;
import com.bbd.bpm.vo.BpmCompanyVo;
import com.bbd.bpm.vo.MenuVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface MemberMapper extends BaseMapper<BpmEmployee>{

    List<BpmCompanyVo> getMemberList(@Param("id") Integer id, @Param("name") String name);

    void deletedMember(@Param("id") Long id);

    void deletedMembers(@Param("id") Long id);

    List<BpmCompanyVo> getAllMemberList(@Param("id") Integer id, @Param("name") String name);

    List<Map<String,Object>> getAreaAll(@Param("id") Integer id);

    List<MenuVO> selectMenuList();
}
